Requests execution of a command on the FTP server

- « ftp_delete

- ftp_fget »

- PHP Manual
- FTP Functions
- Requests execution of a command on the FTP server

# ftp_exec

(PHP 4 >= 4.0.3, PHP 5, PHP 7, PHP 8)

ftp_exec — Requests execution of a command on the FTP server

### Description

ftp_exec(FTP\Connection `$ftp`, string `$command`): bool

Sends a SITE EXEC `command` request to the FTP server.

### Parameters

`ftp`

  An FTP\Connection instance.

`command`

  The command to execute.

### Return Values

Returns `true` if the command was successful (server sent response code: `200`); otherwise returns `false`.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ftp` parameter expects an FTP\Connection instance now; previously, a resource was expected.

### Examples

Example #1 ftp_exec() example

    <?php// variable initialization$command = 'ls -al >files.txt';// set up basic connection$ftp = ftp_connect($ftp_server);// login with username and password$login_result = ftp_login($ftp, $ftp_user_name, $ftp_user_pass);// execute commandif (ftp_exec($ftp, $command)) {    echo "$command executed successfully\n";} else {    echo "could not execute $command\n";}// close the connectionftp_close($ftp);?>

### See Also

- ftp_raw() - Sends an arbitrary command to an FTP server